Subject: RE: linux-next: build failure after merge of the usb tree

From: "Lan, Tianyu" <[email-masked]>
Date: Mon, 28 Jan 2013 16:03:07 +0000

I just check the commit 88bb965ed711 can not git revert smoothly. I will do it
and send a revert patch.

Best Regards 
Tianyu Lan 

-----Original Message-----
From: Greg KH [mailto:[email-masked]] 
Sent: Monday, January 28, 2013 10:45 PM
To: Stephen Rothwell
Cc: [email-masked]; [email-masked]; Lan, Tianyu
Subject: Re: linux-next: build failure after merge of the usb tree

On Mon, Jan 28, 2013 at 09:46:44PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the usb tree, today's linux-next build (x86_64 
> allmodconfig) failed like this:
> 
> drivers/usb/core/usb-acpi.c: In function 'usb_acpi_register_power_resources':
> drivers/usb/core/usb-acpi.c:226:2: error: implicit declaration of 
> function 'acpi_power_resource_register_device' 
> [-Werror=implicit-function-declaration]
> drivers/usb/core/usb-acpi.c: In function 'usb_acpi_unregister_power_resources':
> drivers/usb/core/usb-acpi.c:234:3: error: implicit declaration of 
> function 'acpi_power_resource_unregister_device' 
> [-Werror=implicit-function-declaration]
> 
> Caused by commit 88bb965ed711 ("usb: Register usb port's acpi power 
> resources").
> 
> I have used the usb tree from next-20130125 for today.

Lan, please send me a patch to resolve this issue.

Stephen, sorry for the breakage.

thanks,

greg k-h